<% local data, viewlibrary = ... 
html = require("acf.html")
%>

<% viewlibrary.dispatch_component("status") %>

<H2><%= html.html_escape(data.label) %></H2>
<DL>
<% 
if #data.value == 0 then
	io.write("No alerts found")
else
	for i,priority in ipairs(data.value) do %>
		<h2><%= html.html_escape(priority.name) %></h2>
		<% for cls in pairs(priority.value) do %>
			<h3><%= html.html_escape(cls) %></h3>
			<% for id,alert in pairs(priority.value[cls]) do %>
				<p><B><%= html.html_escape(alert.value[1]) %></B><BR>
				<% for j=2, table.maxn(alert.value) do %>
					<%= html.html_escape(alert.value[j]) %><BR>
				<% end %>
				<I>(This alarm is repeated <B><%= html.html_escape(alert.count) %></B> times)</I>
				<% if (table.maxn(alert.url) ~= 0) then %>
					( URL's:
					<% for k,url in ipairs(alert.url) do %>
						<a href="<%= html.html_escape(url) %>" target="_new"><img src="<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/categories/applications-internet.png" alt="<%= html.html_escape(url) %>"></a>
					<% end %>
				)
				<% end %>
				</p>
			<% end %>
		<% end %>
	<% end %>
<% end %>
</DL>
